Subject: Re: [PATCH 0/2] tmpfs /run.

From: Hilton Chain <[email-masked]>
Date: Sun, 29 Sep 2024 11:18:21 +0800

On Thu, 26 Sep 2024 14:44:52 +0800,
Hilton Chain wrote:
>
> Hi Guix,
>
> This series adds a tmpfs /run to %base-file-systems and symlinks /var/run to
> it.
>
> Mount options are taken from Systemd[1], OpenRC also uses the same ones[2].
> (Except no-suid since we have /run/privileged/bin.)
>
> Thanks
>
> [1]: https://github.com/systemd/systemd/blob/v256.6/src/shared/mount-setup.c#L102
> [2]: https://github.com/OpenRC/openrc/blob/0.55.1/sh/init.sh.Linux.in#L74
>
> Hilton Chain (2):
>   file-systems: %base-file-systems: Add tmpfs /run.
>   services: cleanup: Make /var/run a symlink of /run.
>
>  doc/guix.texi               |  5 +++++
>  gnu/services.scm            |  6 +-----
>  gnu/services/dbus.scm       | 31 -------------------------------
>  gnu/system/file-systems.scm | 15 ++++++++++++++-
>  4 files changed, 20 insertions(+), 37 deletions(-)
>
>
> base-commit: 8576aaf5f90db9b385ea8cf6dc98bf3c062959dc
> --
> 2.46.0

As adding mount point to /run requires an immediate reboot after reconfiguring
from a system without it, I'll also add a news entry for the change.

Merging /var/run and /run is the easiest part, since they are supposed to be
cleaned upon booting and nothing will break with the change.  However there're
many references to both directories in our codebase.  I'm not sure if these
references should be unified as well.

I won't hurry on pushing this change, please leave a comment if you want the
change or there's any concern about it.

Thanks